in Hobbies

Runescape SSL fix for Debian Buster/Ubuntu

Occasionally, new builds of the NXT client for Runescape get broken when the build is accidentally put against older versions of libcrypt and libssl. To fix this, download the file below, which contains libcrypto.so.1.0.0 and libssl.so.1.0.0

On Debian Buster, you need to copy libssl.so.1.0.0 to /usr/lib/
I also copied libcrypto.so.1.0.0 to that location as well, but runescape launcher threw errors which mentioned this:

“/root/Jagex/launcher/rs2client: /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0: version `OPENSSL_1.0.0′ not found (required by /root/Jagex/launcher/rs2client)”

In order to fix that, I also copied libcrypto.so.1.0.0 to /usr/lib/x86_64-linux-gnu/

libcrypt and libssl files

(I’m a scifi author, but I play Runescape as Rexx Magnus)